D-Bus 1.13.18

Data Fields
DBusSHAContext Struct Reference

Struct storing state of the SHA algorithm. More...

`#include <dbus-sha.h>`

## Data Fields
dbus_uint32_t | digest [5]
| Message digest. More...
dbus_uint32_t | count_lo
| 64-bit bit count More...
dbus_uint32_t | count_hi
| No clue. More...
dbus_uint32_t | data [16]
| SHA data buffer. More...

## Detailed Description

Struct storing state of the SHA algorithm.

Definition at line 37 of file dbus-sha.h.

## Field Documentation

## ◆ count_hi

dbus_uint32_t DBusSHAContext::count_hi

No clue.

Definition at line 41 of file dbus-sha.h.

## ◆ count_lo

dbus_uint32_t DBusSHAContext::count_lo

64-bit bit count

Definition at line 40 of file dbus-sha.h.

## ◆ data

dbus_uint32_t DBusSHAContext::data[16]

SHA data buffer.

Definition at line 42 of file dbus-sha.h.

## ◆ digest

dbus_uint32_t DBusSHAContext::digest[5]

Message digest.

Definition at line 39 of file dbus-sha.h.

The documentation for this struct was generated from the following file:

- dbus-sha.h